Bug 1812076 - Operand list status sort only checks status.phase, which is different from what we show in the column
Summary: Operand list status sort only checks status.phase, which is different from wh...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.4
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.5.0
Assignee: Joe Caiani
QA Contact: Yadan Pei
URL:
Whiteboard:
Depends On:
Blocks: 1812258
TreeView+ depends on / blocked
 
Reported: 2020-03-10 13:43 UTC by Samuel Padgett
Modified: 2020-08-04 18:04 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: sorting not based on data in column Consequence: caused erroneous sort Fix: provided custom sort to sort correct operand status values Result: sorts correctly
Clone Of:
: 1812258 (view as bug list)
Environment:
Last Closed: 2020-08-04 18:04:22 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift console pull 4708 None closed Bug 1812076: Create custom sort for operand status column 2020-06-23 09:15:26 UTC
Red Hat Product Errata RHBA-2020:2409 None None None 2020-08-04 18:04:25 UTC

Description Samuel Padgett 2020-03-10 13:43:39 UTC
Version 4.4

https://github.com/openshift/console/pull/3121 added the capability to show different status values from the operand. It didn't update the table sort, however, so the result of sorting on the status column will not match the display value. We either need to disable sort or add a `sortFunc` that has the same logic.

Comment 3 shahan 2020-03-18 10:30:43 UTC
Verified this bug, status column can be sorted well.

4.5.0-0.ci-2020-03-18-090719

Comment 5 errata-xmlrpc 2020-08-04 18:04:22 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.5 image release advisory), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:2409


Note You need to log in before you can comment on or make changes to this bug.